/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_quote_remover.c                                 :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/02/15 14:12:00 by cchauvet          #+#    #+#             */
/*   Updated: 2023/02/15 17:59:50 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "utils.h"

char	*ft_quote_remover(char *str)
{
	size_t	i;
	ssize_t	start;
	ssize_t	stop;

	start = -1;
	i = 0;
	while (str[i] != '\0')
	{
		if ((str[i] == '\"' || str[i] == '\''))
		{
			if (start == -1)
				start = i;
			else if (str[i] == str[start])
			{
				stop = i;
				break ;
			}
		}
		i++;
	}
	if (start != -1)
	{
		ft_strshift(str, -1);
		str[stop] = '\0';
	}
	return (str);
}
